<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Postscriptum Test: Leaders on inline</title>
	<meta name="assert" content=""/>
	<style>
		@page {
			size: A4 landscape;
		}

		p {
			border: solid 4px grey;
			padding: 0.5em;
		}

		h2 {
			page-break-before: always;
		}
		.after::after { content: leader(dotted); }
		.afterAfter::after { content: leader(dotted) " AFTER"; }
		.afterBefore::after { content: "BEFORE " leader(dotted); }
		.afterBeforeAfter::after { content: "BEFORE " leader(dotted) " AFTER"; }

		.before::before { content: leader(dotted); }
		.beforeAfter::before { content: leader(dotted) "AFTER"; }
		.beforeBefore::before { content: "BEFORE " leader(dotted); }
		.beforeBeforeAfter::before { content: "BEFORE " leader(dotted) " AFTER"; }
	</style>
</head>
<body>
<div>
	<h2>After inline</h2>
	<p><span class="after">Leader after inline</span></p>
	<p><span class="afterAfter">Leader after with pseudo-content after</span></p>
	<p><span class="afterBefore">Leader after with pseudo-content before</span></p>
	<p><span class="afterBeforeAfter">Leader after with pseudo-content after and before</span></p>
	<p><span class="after">Leader after with content after</span><strong>AFTER</strong></p>
	<p><span class="afterAfter">Leader after with pseudo-content after and content after</span><strong>AFTER</strong></p>
	<p><span class="afterBefore">Leader after with pseudo-content before and content after</span><strong>AFTER</strong></p>
	<p><span class="afterBeforeAfter">Leader after with pseudo-content after and before and content after</span><strong>AFTER</strong></p>

	<h2>Before inline</h2>
	<p><span class="before">Leader before inline</span></p>
	<p><span class="beforeAfter">Leader before with pseudo-content after</span></p>
	<p><span class="beforeBefore">Leader before with pseudo-content before</span></p>
	<p><span class="beforeBeforeAfter">Leader before with pseudo-content after and before</span></p>
	<p><span class="before"><strong>BEFORE</strong>Leader before with content before</span></p>
	<p><span class="beforeAfter"><strong>BEFORE</strong>Leader before with pseudo-content after and content before</span></p>
	<p><span class="beforeBefore"><strong>BEFORE</strong>Leader before with pseudo-content before and content before</span></p>
	<p><span class="beforeBeforeAfter"><strong>BEFORE</strong>Leader before with pseudo-content after and before and content before</span></p>
</div>
</body>
</html>
